## Script (Python) "getSchoolFee"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=brain=None,instalment='0'
##title=
##
# $Id: getSchoolFee.py 2534 2007-11-05 06:37:12Z henrik $
"""
return SchoolFee
"""
 
d = {}

if brain.mode == 'ug_sw':    # ug_sw students payment does not depend on the current session
    if str(brain.level) in ('100','200',) and brain.review_state == 'cleared_and_validated': 
        d['all'] = 45000
    elif str(brain.level) in ('100',):   #200 returning students
        d['all'] = 45000
    else:
        d['all'] = 35000
elif brain.mode == 'pg_sw':
     if str(brain.level) == '600' and brain.review_state == 'cleared_and_validated':    # only 600 fresh 
         d['all'] = 65000
     else:   
        d['all'] = 80000
elif brain.session in ('06','07',) and brain.review_state == 'cleared_and_validated': 
    if brain.mode == 'dp_pt' and str(brain.level) in ('100',):  
        d['all'] = 40000
    elif brain.mode == 'ug_pt' and str(brain.level) in ('100','200',):  
        d['all'] = 50000
    elif brain.mode == 'pg_pt':  
        if str(brain.level) == '600':    # only 600 fresh 
            d['all'] = 60000
        elif str(brain.level) == '700':  # only 700 fresh
            d['all'] = 75000  
        else:
            d['all'] = 0    
    else:
        d['all'] = 0
elif brain.session in ('06',) and brain.review_state == 'returning': 
    if brain.mode == 'dp_pt':  
        d['all'] = 35000
    elif brain.mode == 'ug_pt':  
        d['all'] = 45000
    elif brain.mode == 'pg_pt':  
        if str(brain.level) == '600' and brain.verdict == 'C':      # 600 repeaters
            d['all'] = 55000
        elif str(brain.level) == '600':                             # going to register for 700
            d['all'] = 75000        
        else:
            d['all'] = 65000
    else:
        d['all'] = 0
        
elif brain.session in ('07','08','09',):       # 07 returning students, and all students registering for 08 upwards
    if instalment == '1':
        d['all'] = 8888888      # for testing
        d['instalment'] = '1'
    elif instalment == '2':
        d['all'] = 9999999      # for testing
        d['instalment'] = '2'
    else:
        d['all'] = 0
else:
    d['all'] = 0


next_info = context.getNextInfo(brain)
next_session_str = next_info['next_session_str']
d['next_session_id'] = next_info['next_session_id']
d['description'] = "School Fee for Session %s" % next_session_str

return d
